@import url('https://fonts.googleapis.com/css2?family=SN+Pro:ital,wght@0,200..900;1,200..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body {
    font-family: "SN Pro", sans-serif;
    background: url(images/bg.jpg);
    background-size: cover;
}

ul {
    list-style-type: none;
}

a {
    text-decoration: none;
    color: #f9f9f9;
}

h1 {
    color: #fffffc;
    margin: 16px 0;
    font-weight: 800;
}

h2 {
    margin: 8px 0;
    font-weight: 800;
}

p {
    margin: 16px 0;
    line-height: 1.75;
    font-weight: 400;
}

img {
    max-width: 100%;
    height: auto;
    margin-top: 15px;
}

header {
    line-height: 100px;
}

nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 70%;
    margin: 0 auto;
}

nav ul li {
    display: inline;
    padding: 0 16px;
}

nav ul li a {
    color: #202020;
}

.mobile {
    display: none;
}

.show {
    display: block;
}

@media (max-width:768px) {
    nav {
        position: static;
    }

    nav ul {
        display: none;
        width: 100%;
        background-color: grey;
        position: absolute;
        top: 100px;
        left: 0;
        right: 0;
        height: 40vh;
        text-align: center;
    }

    nav ul li {
        display: block;
    }

    nav ul li a {
        color: #fffffc;
    }

    a.mobile {
        color: #202020;
        display: block;
        font-size: 32px;
    }
}

aside {
    padding: 64px;
}

aside .comments,
.archives {
    margin-top: 64px;
}

.blog-post h1 {
    color: #202020;
}

.blog-post a {
    color: dodgerblue;
}

.blog-post {
    padding: 32px;
}


.container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 100px auto 100px;
    height: 100vh;
    width: 70%;
    margin: 0 auto;
}

header {
    background-color: #f9f9f9;
    grid-column-start: span 3;
}

aside {
    background-color: #313338;
    grid-column-start: span 1;
}

main {
    background-color: #fffffc;
    grid-column-start: span 2;
}

footer {
    background-color: #f9f9f9;
    grid-column-start: span 3;
    text-align: center;
    display: flex;
    justify-content: center;
}

@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr;
        grid-template-rows: 100px auto auto 100px;
        width: 100%;
    }

    header,
    aside,
    main,
    footer {
        grid-column-start: span 1;
    }
}